Subject: Re: [PATCH v2 0/6] Improve tag checking in fsck and with transfer.fsckobjects

From: Junio C Hamano <[email-masked]>
Date: Wed, 10 Sep 2014 14:07:44 -0700

Johannes Schindelin <[email-masked]> writes:

> This patch series introduces detailed checking of tag objects when calling
> git fsck, and also when transfer.fsckobjects is set to true.
>
> To this end, the fsck machinery is reworked to accept the buffer and size
> of the object to check, and for commit and tag objects, we verify that the
> buffers contain an end of header (i.e. an empty line) to guarantee that our
> checks do not run beyond the buffer.

Overall they looked sensible and I am trying to queue them on 'pu'
for today's pushout.

Thanks.